Subject: Re: [RFC] ipv4: add link_filter sysctl

From: David Miller <[email-masked]>
Date: Wed, 18 Mar 2009 22:34:52 -0700 (PDT)

From: Stephen Hemminger <[email-masked]>
Date: Wed, 18 Mar 2009 19:42:39 -0700

> Unfortunately, network management tools expect routers to behave this
> way: WWCD

I understand your concern but I would never approach the specific
problem you stated that way.

If I want to know that the link to the next hop of the router is down,
I'd ping the next hop not that router's interface IP address.  That
is pretty much the stupidest thing I've ever heard of.

Or, if I specifically wanted to diagnose connectivity to "B" I'd
use traceroute and/or work my way back with pings, hop by hop.

People expect Linux to do a lot of things the way other systems do, so
what?  If we have a reasonable way to approach solving a particular
problem, and in this case we certainly do, we gain nothing by adding
the knob besides placating a robot unwilling to learn new things.

Sorry, I'm not applying this.